# Check Point Maestro SG Interface

Monitors status of Check Point scalable Platform Security Group (SG) interfaces

---
### Check Info

* *service*: creates one servise per interface, witch the interface name as item

* *state*:\
**critical** if state not *Up/Up* or Duplex is not *Full*\
**warning** if Speed differs from Speed at inventory time

* *wato*: [(see WATO options)](/../../../-/raw/master//doc/wato.png "see WATO options")

* *perfdata*: TX/RX bits/s

---
### Download

* [checkpoint_asg_interface.mkp (latest version)](https://thl-cmk.hopto.org/gitlab/checkmk/check-point/maestro/checkpoint_asg_interface/-/raw/master/checkpoint_asg_interface.mkp "Download latest version")

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install checkpoint_asg_interface.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](/doc/sample.png?raw=true "sample output")

WATO options

![WATO options](/doc/wato.png?raw=true "WATO options")
